# ApiHBaseSnapshotError Data Model

A HBase snapshot operation error.

Properties
name | data type | description
--- | --- | ---
tableName | string | Name of the table.
snapshotName | string | Name of the snapshot.
storage | Storage | Whether the snapshot is local or remote.
storageLocation | string | The remote location where a snapshot is stored. /* Optional - location comes from HBase service config if this is not defined
error | string | Description of the error.

Example

    {
      "tableName" : "...",
      "snapshotName" : "...",
      "storage" : "LOCAL",
      "storageLocation" : "...",
      "error" : "..."
    }